Bug 461088 - [RHEL4/evo28] - crash in e_data_book_view_notify_update at e-data-book-view.c:250
[RHEL4/evo28] - crash in e_data_book_view_notify_update at e-data-book-view.c...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: evolution28-evolution-connector (Show other bugs)
4.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: Matthew Barnes
Matthew Barnes
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-03 23:32 EDT by ritz
Modified: 2010-10-23 00:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-09-26 14:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ritz 2008-09-03 23:32:58 EDT
Thread 27 (Thread -1243350112 (LWP 9870)):

#0  0x009fb17c in fixup (l=0x571000, reloc_offset=Variable "reloc_offset" is not available.

) at ../sysdeps/i386/dl-machine.h:377

#1  0x009fb090 in ?? () at dl-runtime.c:62 from /lib/ld-linux.so.2

#2  0x063697ba in sigchld_handler (signum=5827646) at gnome-vfs-process.c:96

#3  <signal handler called>

#4  0x009ef7a2 in ?? () at rtld.c:577 from /lib/ld-linux.so.2

#5  0x0030b5bb in ?? () from /lib/tls/libpthread.so.0

#6  0x06440f50 in libgnomeui_module_info_get () from /usr/lib/libgnomeui-2.so.0

#7  <signal handler called>

#8  IA__g_str_hash (v=0x0) at gstring.c:95

#9  0x0058ea64 in IA__g_hash_table_lookup (hash_table=0xb3f0e2c0, key=0x0)

    at ghash.c:231

#10 0x00c82f71 in e_data_book_view_notify_update (book_view=0xb4906b50, 

    contact=0x8943720) at e-data-book-view.c:250

#11 0x0806d4db in e_book_backend_exchange_start_book_view (backend=0x8c33690, 

    book_view=0xb4906b50) at e-book-backend-exchange.c:1947

#12 0x00c81074 in e_book_backend_start_book_view (backend=0x8c33690, 

    book_view=0xb4906b50) at e-book-backend.c:304

#13 0x00c83c47 in impl_GNOME_Evolution_Addressbook_BookView_start (

    servant=0x0, ev=0xb5e3f2a0) at e-data-book-view.c:485

#14 0x00c76b25 in _ORBIT_skel_small_GNOME_Evolution_Addressbook_BookView_start

    (_o_servant=0x0, _o_retval=0x0, _o_args=0x0, _o_ctx=0xb5e3f1d0, _o_ev=0x0, 

    _impl_start=0xc83c00 <impl_GNOME_Evolution_Addressbook_BookView_start>)

    at Evolution-DataServer-Addressbook-common.c:98

#15 0x06275cfd in ORBit_POAObject_invoke (pobj=0x0, ret=0x0, args=0x0, 

    ctx=0x0, data=0xb4906b50, ev=0x0) at poa.c:1141

#16 0x0627a92f in ORBit_OAObject_invoke (adaptor_obj=0xb4906b50, ret=0x0, 

    args=0x0, ctx=0x0, data=0x0, ev=0x0) at orbit-adaptor.c:284

#17 0x06266f1d in ORBit_small_invoke_adaptor (adaptor_obj=0x8a714b8, 

    recv_buffer=0xb44bdc48, m_data=0xc8ad40, data=0xb5e3f250, ev=0xb5e3f2a0)

    at orbit-small.c:835

#18 0x06276102 in ORBit_POAObject_handle_request (pobj=0x8a714b8, 

    opname=0xb44b7e94 "start", ret=0x0, args=0x0, ctx=0x0, 

    recv_buffer=0xb44bdc48, ev=0xb5e3f2a0) at poa.c:1350

#19 0x06276782 in ORBit_POAObject_invoke_incoming_request (pobj=0x8a714b8, 

    recv_buffer=0xb44bdc48, opt_ev=0x0) at poa.c:1418

#20 0x062614a1 in giop_thread_queue_process (tdata=0xb44aebc8) at giop.c:743

#21 0x06261568 in giop_request_handler_thread (data=0xb44aebc8, user_data=0x0)

    at giop.c:471

#22 0x005b77df in g_thread_pool_thread_proxy (data=0x86cba10)

    at gthreadpool.c:265

#23 0x005b5a46 in g_thread_create_proxy (data=0xb4901dc8) at gthread.c:553

#24 0x003053cc in start_thread (arg=0xb5e3fba0) at pthread_create.c:274

#25 0x0128a1ae in ?? () from /lib/tls/libc.so.6



Thread 2 (Thread -1211876448 (LWP 10393)):

#0  0x009ef7a2 in ?? () at rtld.c:577 from /lib/ld-linux.so.2

#1  0x01280364 in *__GI___poll (fds=0x12e8ff4, nfds=10, timeout=-1)

    at ../sysdeps/unix/sysv/linux/poll.c:86

#2  0x0059c189 in g_main_context_iterate (context=0x86ea658, block=1, 

    dispatch=1, self=0x86d4dd0) at gmain.c:2979

#3  0x0059c51f in IA__g_main_loop_run (loop=0x86ea460) at gmain.c:2881

#4  0x0627ec0f in link_io_thread_fn (data=0x0) at linc.c:345

#5  0x005b5a46 in g_thread_create_proxy (data=0x86d4dd0) at gthread.c:553

#6  0x003053cc in start_thread (arg=0xb7c43ba0) at pthread_create.c:274

#7  0x0128a1ae in ?? () from /lib/tls/libc.so.6



Thread 1 (Thread -1209141568 (LWP 10360)):

#0  0x009ef7a2 in ?? () at rtld.c:577 from /lib/ld-linux.so.2

#1  0x01280364 in *__GI___poll (fds=0x12e8ff4, nfds=8, timeout=229756)

    at ../sysdeps/unix/sysv/linux/poll.c:86

#2  0x0059c189 in g_main_context_iterate (context=0x86ca938, block=1, 

    dispatch=1, self=0x86a8b40) at gmain.c:2979

#3  0x0059c51f in IA__g_main_loop_run (loop=0x86ee0b8) at gmain.c:2881

#4  0x062b9dd5 in bonobo_main () from /usr/lib/libbonobo-2.so.0

#5  0x08060e19 in main (argc=1, argv=0xbfe0d144) at main.c:238

(gdb) c

Continuing.



Program exited with code 01.
Comment 1 RHEL Product and Program Management 2008-09-05 13:19:30 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 RHEL Product and Program Management 2008-09-26 14:20:03 EDT
Development Management has reviewed and declined this request.  You may appeal
this decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.